################################################################################
################### Script for creating Scorecard Type 1 #######################
############### (By Start date & Region and forecast month) ####################
################################################################################


plevel = "" ## TO DO: include plevel in recipe

## Unique parameters
table_column_header <- "Start date"
scorecard_type <- "type-1"
scorecard_name <- "Start date by Region & Forecast month"


## Load metrics
source("/esarchive/scratch/nmilders/gitlab/git_clones/s2s-suite/modules/Visualization/SC_1_load_metrics.R")
loaded_metrics <- SC_load_metrics(recipe)

## Transform loaded metrics
source("/esarchive/scratch/nmilders/gitlab/git_clones/s2s-suite/modules/Visualization/SC_2_transform_loaded_metrics.R")
transformed_metrics <- transform_loaded_metrics(recipe, loaded_metrics)

mean.bias <- transformed_metrics$mean.bias
mean.corr <- transformed_metrics$mean.corr
mean.rpss <- transformed_metrics$mean.rpss
mean.crpss <- transformed_metrics$mean.crpss
mean.enssprerr <- transformed_metrics$mean.enssprerr

region.names <- transformed_metrics$region.names
region.names.figure <- transformed_metrics$region.names.figure
n.regions <- transformed_metrics$n.regions
n.start.months <- transformed_metrics$n.start.months
n.for.months <- transformed_metrics$n.for.months
n.dec <- transformed_metrics$n.dec

currentworkingdir <- getwd()

## Create scorecard image
source("/esarchive/scratch/nmilders/gitlab/git_clones/s2s-suite/modules/Visualization/SC_3_create_scorecard.R")
scorecard_table <- SC_create_table(transformed_metrics)

## Save scorecard in desired directory
source("/esarchive/scratch/nmilders/gitlab/git_clones/s2s-suite/modules/Visualization/SC_4_save_scorecard.R")
save_scorecard <- SC_save_image(system.filename, reference.filename, var.name, var.filename, start.year, end.year)

setwd(currentworkingdir)
